git-annex/ git-annex-calckey

# NAME

git-annex calckey - calculate key for a file

# SYNOPSIS

git annex calckey `[file ...]`

# DESCRIPTION

This plumbing-level command calculates the key that would be used to refer to a file. The file is not added to the annex by this command. The key is output to stdout.

The backend used is the one from the annex.backend configuration setting, which can be overridden by the --backend option. For example, to force use of the SHA1 backend:

    git annex calckey --backend=SHA1 file

# OPTIONS

- `--backend=name`

  Specifies which key-value backend to use.

- `--batch`

  Enable batch mode, in which a line containing the filename is read from stdin, the key is output to stdout (with a trailing newline), and repeat.

- `-z`

  Makes the `--batch` input be delimited by nulls instead of the usual newlines.

- Also the git-annex-common-options(1) can be used.

# SEE ALSO

git-annex(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Comments on this page are closed.